import { Config, Http } from '@zeedhi/core';
import config from '../config/config';

const useMirage = (mirage: boolean = true) => {
  if (mirage) {
    Config.endPoint = process.env.VUE_APP_MIRAGE_END_POINT;
  } else {
    Config.endPoint = config.endPoint!;
  }

  Http.setBaseURL(Config.endPoint);
};

export { useMirage };
